Name:          sonar-maven-plugin
Version:       1.0
Release:       %mkrel 0.b2.1
Summary:       Analyze and report metrics on source code
Group:         Development/Java
License:       MIT
Url:           http://mojo.codehaus.org/sonar-maven-plugin/
Source0:       http://repo2.maven.org/maven2/org/codehaus/mojo/sonar-maven-plugin/1.0-beta-2/sonar-maven-plugin-1.0-beta-2-source-release.zip
BuildRequires: aether
BuildRequires: apache-commons-io
BuildRequires: bsf
BuildRequires: bsh2
BuildRequires: hamcrest
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-enforcer
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-invoker-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-cobertura
BuildRequires: mojo-parent
BuildRequires: plexus-classworlds
BuildRequires: plexus-utils
BuildRequires: servletapi5
BuildRequires: sisu

Requires:      java
Requires:      jpackage-utils
Requires:      maven

Requires(post):   jpackage-utils
Requires(postun): jpackage-utils

BuildArch:     noarch


%description
Sonar Maven Plugin executes code analysers and save results in Sonar database.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Sonar Maven Plugin.

This package contains javadoc for %{name}

%prep
%setup -q -n sonar-maven-plugin-%{version}-beta-2

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=bsf \
  -DartifactId=bsf \
  -Dversion=2.3.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsf) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=org.beanshell \
  -DartifactId=bsh \
  -Dversion=2.0b4 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsh2/bsh) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=org.apache.maven.plugins \
  -DartifactId=maven-enforcer-plugin \
  -Dversion=1.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-enforcer/plugin) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=org.apache.maven.enforcer \
  -DartifactId=enforcer-rules \
  -Dversion=1.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-enforcer/enforcer-rules) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  install:install-file \
  -DgroupId=javax.servlet \
  -DartifactId=servlet-api \
  -Dversion=2.4 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath servletapi5) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL


mvn-jpp \
  -e \
  -Dmaven.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
   install javadoc:aggregate
   
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/sonar-maven-plugin-%{version}*.jar \
  %{buildroot}%{_javadir}/sonar-maven-plugin.jar
  
mkdir -p %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap org.codehaus.mojo sonar-maven-plugin %{version} JPP sonar-maven-plugin
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-sonar-maven-plugin.pom

mkdir -p %{buildroot}%{_javadocdir}/sonar-maven-plugin
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/sonar-maven-plugin

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_javadir}/sonar-maven-plugin.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/sonar-maven-plugin



%changelog

* Sun Nov 06 2011 gil <gil> 1.0-0.b2.1.mga2
+ Revision: 164094
- imported package sonar-maven-plugin


* Fri Jul 15 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm

